use wccg_models::order::RazorpayEvent;
use wread_mongodb::crud_repository;
use wread_mongodb::mongodb::error::Error;
use wread_mongodb::mongodb::results::InsertOneResult;
use wread_mongodb::mongodb::Database;

const COLLECTION_NAME: &str = "razorpayevents";

pub async fn add(event: &RazorpayEvent, db: &Database) -> Result<InsertOneResult, Error> {
    crud_repository::add(event, COLLECTION_NAME, db).await
}
